Publish post to LinkedIn
curl --request POST \
--url https://api.yalg.ai/v1/posts/{id}/publish \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yalg.ai/v1/posts/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/posts/{id}/publish"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"success": true,
"message": "Post published successfully to LinkedIn",
"publishedAt": "2024-01-15T10:30:00Z"
}{
"id": "018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f",
"anecdoteId": "018f9f41-22a1-74bb-9450-7dd0d21ab8ab",
"content": "I used to think consistency came from discipline. It actually came from removing friction.",
"platform": "linkedin",
"status": "draft",
"likes": 12,
"comments": 3,
"shares": 1,
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found",
"code": "not_found"
}{
"statusCode": 409,
"message": "Resource conflict",
"error": "Conflict",
"code": "conflict"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}posts
Publish post to LinkedIn
Publishes the post directly to LinkedIn using the integrated LinkedIn service and sends an email notification
POST
/
v1
/
posts
/
{id}
/
publish
Publish post to LinkedIn
curl --request POST \
--url https://api.yalg.ai/v1/posts/{id}/publish \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yalg.ai/v1/posts/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.yalg.ai/v1/posts/{id}/publish"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"success": true,
"message": "Post published successfully to LinkedIn",
"publishedAt": "2024-01-15T10:30:00Z"
}{
"id": "018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f",
"anecdoteId": "018f9f41-22a1-74bb-9450-7dd0d21ab8ab",
"content": "I used to think consistency came from discipline. It actually came from removing friction.",
"platform": "linkedin",
"status": "draft",
"likes": 12,
"comments": 3,
"shares": 1,
"createdAt": "2026-06-20T17:24:39.000Z",
"updatedAt": "2026-06-20T17:24:39.000Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request",
"code": "validation_failed"
}{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized",
"code": "unauthorized"
}{
"statusCode": 403,
"message": "Access denied",
"error": "Forbidden",
"code": "forbidden"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found",
"code": "not_found"
}{
"statusCode": 409,
"message": "Resource conflict",
"error": "Conflict",
"code": "conflict"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"code": "rate_limit_exceeded",
"retryAfter": 60
}{
"statusCode": 500,
"message": "Internal server error",
"error": "Internal Server Error",
"code": "internal_server_error"
}Authorizations
YALG Developer API key. Send it in the x-api-key header from a server-side environment only.
Path Parameters
UUID of the post to publish
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Post published successfully
⌘I